#pragma once
#include "../base/interface.hpp"

namespace lsp::provider::text_document
{
    class PublishDiagnostics : public INotificationProvider
    {
    public:
        PublishDiagnostics() = default;

        std::string GetMethod() const override;
        std::string GetProviderName() const override;
        void HandleNotification(const protocol::NotificationMessage& notification, ExecutionContext& context) override;
    };
}
